From 7b16a39a02a9b6d84c2195567d9093d953f0ea30 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 26 2020 04:23:14 +0000
Subject: [PATCH 1567/2232] Consider T alignment for empty rust::Slice


---

diff --git a/include/cxx.h b/include/cxx.h
index 5c2f179..9c415b7 100644
--- a/include/cxx.h
+++ b/include/cxx.h
@@ -390,7 +390,7 @@ inline size_t Str::length() const noexcept { return this->len; }
 #ifndef CXXBRIDGE1_RUST_SLICE
 #define CXXBRIDGE1_RUST_SLICE
 template <typename T>
-Slice<T>::Slice() noexcept : ptr(reinterpret_cast<T *>(this)), len(0) {}
+Slice<T>::Slice() noexcept : ptr(reinterpret_cast<T *>(alignof(T))), len(0) {}
 
 template <typename T>
 Slice<T>::Slice(T *s, size_t count) noexcept : ptr(s), len(count) {}

